<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>渐变</title>
    <style>
        .grad{
            width: 100px;
            height: 50px;
            margin-bottom:16px;
        }
        .grad-top-bottom{
            background: linear-gradient(red,blue);
        }
        .grad-bottom-top{
            background: linear-gradient(to top,red,blue);
        }
        .grad-left-right{
            background: linear-gradient(to right,red,blue);
        }
        .grad-right-left{
            background: linear-gradient(to left,red,blue);
        }
        .grad-bottom-right{
            background: linear-gradient(to bottom right,red,blue);
        }
        .grad-deg{
            background: linear-gradient(180deg,red,blue);
        }
        .grad-repeating{
            background: repeating-linear-gradient(red, yellow 10%, green 20%);
        }
        .grad-uniformity{
            background: radial-gradient(red, green,blue);
        }
        .grad-not-uniformity{
            background: radial-gradient(red 5%, green 15%,blue 60%);
        }
        .grad-shape{
            background: radial-gradient(circle,red,yellow,green);
        }
        .grad-size-closest-side{
            background:  -webkit-radial-gradient(60% 55%, closest-side,blue,green,yellow,black);
            background: -o-radial-gradient(60% 55%, closest-side,blue,green,yellow,black);
            background: -moz-radial-gradient(60% 55%, closest-side,blue,green,yellow,black);
            background: radial-gradient(60% 55%, closest-side,blue,green,yellow,black);
        }
        .grad-size-farthest-side{
            background:  -webkit-radial-gradient(60% 55%, farthest-side,blue,green,yellow,black);
            background: -o-radial-gradient(60% 55%, farthest-side,blue,green,yellow,black);
            background: -moz-radial-gradient(60% 55%, farthest-side,blue,green,yellow,black);
            background: radial-gradient(60% 55%, farthest-side,blue,green,yellow,black);
        }
        .grad-repeating-radial{
            background: -webkit-repeating-radial-gradient(red, yellow 10%, green 15%);
            background: -o-repeating-radial-gradient(red, yellow 10%, green 15%);
            background: -moz-repeating-radial-gradient(red, yellow 10%, green 15%);
            background: repeating-radial-gradient(red, yellow 10%, green 15%);
        }
    </style>
</head>
<body>
    <!-- 线性渐变 -->
    <div class="grad grad-top-bottom"></div>
    <div class="grad grad-bottom-top"></div>
    <div class="grad grad-left-right"></div>
    <div class="grad grad-right-left"></div>
    <div class="grad grad-bottom-right"></div>
    <div class="grad grad-deg"></div>
    <div class="grad grad-repeating"></div>
    <!-- 径向渐变 -->
    <div class="grad grad-uniformity"></div>
    <div class="grad grad-not-uniformity"></div>
    <div class="grad grad-shape"></div>
    <div class="grad grad-size-closest-side"></div>
    <div class="grad grad-size-farthest-side"></div>
    <div class="grad grad-repeating-radial"></div>
</body>
</html>